Results 1 to 2 of 2

Thread: CMD 6.5.3. Throws error when upgrading workspace

  1. #1

    Default CMD 6.5.3. Throws error when upgrading workspace

    I just upgraded Sencha CMD from 6.5.2 to 6.5.3 and trying to upgrade workspace with extjs apps. But when i execute

    Code:
    sencha workspace upgrade
    it thows following error

    Code:
    com.sencha.command.environment.PackageEnvironment cannot be cast to com.sencha.command.environment.AppEnvironment
    Here is detailed crash report:

    Code:
    Sencha Cmd 6.5.3.6 - Crash report
    ================================================
    An error occurred while executing the following command: workspace upgrade
    
    Diagnostic information:
    =======================
                        buildenvironment.dir : /path/to/workspace           
                   buildenvironment.load.dir : /path/to/workspace    
                              cmd.config.dir : /path/to/bin/Sencha/Cmd/6.5.3.6              
                                     cmd.dir : /path/to/bin/Sencha/Cmd/6.5.3.6              
                  cmd.merge.tool.args.araxis : -wait -merge -3 -a1 {base} {user} {generated} {out}
                  cmd.merge.tool.args.kdiff3 : {base} {user} {generated} -o {out}                
                 cmd.merge.tool.args.p4merge : {base} {user} {generated} {out}                   
               cmd.merge.tool.args.smartsync : {user} {generated} {base}                         
              cmd.merge.tool.args.sourcegear : --merge --result={out} {user} {base} {generated}  
                cmd.merge.tool.args.tortoise : -base:{base} -theirs:{generated} -mine:{user} -merged:{out}
                                  cmd.minver : 3.0.0.0                                           
                                cmd.platform : linux-x64                                         
                         cmd.unicode.escapes : /path/to/bin/Sencha/Cmd/6.5.3.6/unicode-escapes.json
                                 cmd.version : 6.5.3.6                                           
                                cmd.web.port : 1841                                              
                           inspector.address : http://localhost:1839/                            
                              repo.local.dir : /path/to/bin/Sencha/Cmd/repo                 
                           shared.sencha.dir : false                                             
            system.java.net.useSystemProxies : true                                              
                              workspace.apps : app1,app2,app3,packages/local/theme-app3-desktop/.sencha/temp/Themer,packages/local/theme-app3-mobile/.sencha/temp/Themer
                            workspace.apps.0 : app1                                           
                            workspace.apps.1 : app2                                           
                            workspace.apps.2 : app3                                            
                            workspace.apps.3 : packages/local/theme-app3-desktop/.sencha/temp/Themer
                            workspace.apps.4 : packages/local/theme-app3-mobile/.sencha/temp/Themer
                       workspace.apps.length : 5                                                 
                         workspace.build.dir : /path/to/workspace/build     
                       workspace.cmd.version : 6.5.3.6                                           
                        workspace.config.dir : /path/to/workspace/.sencha/workspace
                               workspace.dir : /path/to/workspace           
            workspace.frameworks.ext.package : [email protected]                                     
               workspace.frameworks.ext.path : /path/to/workspace/ext       
            workspace.frameworks.ext.version : 6.5.2.463                                         
                      workspace.packages.dir : /path/to/workspace/packages/local,/path/to/workspace/packages
                  workspace.packages.extract : /path/to/workspace/packages/remote
                         workspace.theme.dir : /path/to/workspace/packages/local,/path/to/workspace/packages/${args.themeName}
    
    Exception information:
    =======================
    com.sencha.command.environment.PackageEnvironment cannot be cast to com.sencha.command.environment.AppEnvironment
         at com.sencha.command.workspace.WorkspaceCommands$UpgradeCommand.upgradeApps(WorkspaceCommands.java:269)
         at com.sencha.command.workspace.WorkspaceCommands$UpgradeCommand.execute(WorkspaceCommands.java:257)
         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
         at java.lang.reflect.Method.invoke(Method.java:498)
         at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:175)
         at com.sencha.cli.Command.dispatch(Command.java:43)
         at com.sencha.command.BasePluginCommands$BasePluginCommand.dispatch(BasePluginCommands.java:289)
         at com.sencha.cli.Commands.dispatch(Commands.java:64)
         at com.sencha.cli.Commands.dispatch(Commands.java:64)
         at com.sencha.command.Sencha.dispatch(Sencha.java:80)
         at com.sencha.command.Sencha.main(Sencha.java:147)
         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
         at java.lang.reflect.Method.invoke(Method.java:498)
         at com.exe4j.runtime.LauncherEngine.launch(LauncherEngine.java:65)
         at com.install4j.runtime.launcher.UnixLauncher.main(UnixLauncher.java:57)

  2. #2

    Default

    Problem was, that in my workspace.json file, "apps" array contained paths to theme packages, like that: "packages/local/theme-mobile/.sencha/temp/Themer".These paths were added automatically, not sure, what for. But, when i removed them, it didn't seem to break anything.

Similar Threads

  1. tabs as worspace
    By biggi in forum Ext 2.x: Help & Discussion
    Replies: 1
    Last Post: 7 Jun 2009, 6:02 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •